.\"	$NetBSD: uda.4,v 1.13 2009/04/11 21:38:58 joerg Exp $
.\"
.\" Copyright (c) 1980, 1987, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)uda.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt UDA 4 vax
.Os
.Sh NAME
.Nm uda
.Nd
.Tn UNIBUS
MSCP disk controller driver
.Sh SYNOPSIS
.Cd "uda0 at uba? csr 0172150"
.Cd "uda1 at uba? csr 0160334"
.Cd "mscpbus* at uda?"
.Sh DESCRIPTION
The
.Nm
driver is for UNIBUS disk controllers that use MSCP.
Among these controllers are:
.Pp
.Bl -tag -width xxxx -offset indent -compact
.It DEC UDA50 UNIBUS ctlr
.It DEC KDA50 Q22 bus ctlr
.It DEC RQDX3 Q22 bus ctlr
.El
.Pp
The
.Nm
communicates with the host through
a packet protocol known as the Mass Storage Control Protocol
.Pq Tn MSCP .
Consult the file
.Aq Pa mscp/mscp.h
for a detailed description of this protocol.
.Sh SEE ALSO
.Xr intro 4
.\".Xr ra 4
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.2 .
.Pp
A new
.Nm
driver approach showed up in
.Nx 1.2 .
